1. pet
My Project
  • Start your Apidog journey
  • petstore
    • user
      • Get user by user name
      • Updated user
      • Delete user
      • Create user
      • Creates list of users with given input array
      • Creates list of users with given input array
      • Logs out current logged in user session
      • Logs user into the system
    • pet
      • Update an existing pet
        PUT
      • Add a new pet to the store
        POST
      • Find pet by ID
        GET
      • Updates a pet in the store with form data
        POST
      • Deletes a pet
        DELETE
      • uploads an image
        POST
      • Finds Pets by tags
        GET
      • Finds Pets by status
        GET
    • store
      • Place an order for a pet
      • Find purchase order by ID
      • Delete purchase order by ID
      • Returns pet inventories by status
  • Schemas
    • Sample Schemas
    • RequestBodies
    • Schemas
      • User
      • Category
      • Pet
      • Tag
      • Order
      • ModelApiResponse
  1. pet

Find pet by ID

GET
/v2/pet/{petId}
Returns a single pet

Request

Path Params

Responses

🟢200OK
application/json
successful operation
Body

🟠400Bad Request
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v2/pet/'
Response Response Example
200 - Example 1
{
    "id": 0,
    "category": {
        "id": 0,
        "name": "string"
    },
    "name": "doggie",
    "photoUrls": [
        "string"
    ],
    "tags": [
        {
            "id": 0,
            "name": "string"
        }
    ],
    "status": "available"
}
Modified at 2025-06-05 06:33:15
Previous
Add a new pet to the store
Next
Updates a pet in the store with form data
Built with